#' Lobelia urens seeds data
#'
#' This data describes the number of germinating lobelia urens seeds at
#' different temperatures.
#'
#' @format A data frame with 231 rows and 3 variables:
#' \describe{
#'   \item{Day}{The day number}
#'   \item{Temperature}{The temperature}
#'   \item{Germination}{The number which germinated}
#' }
#' @details
#' The total numbers which failed to germinate are 59, 52, 35, 22, 10, 7 and 12
#' for temperatures 9.8, 12.5, 16.7, 20.2, 24.3, 28.5 and 32.0, respectively.
#'
#' @docType data
#' @name lobelia
#' @usage lobelia
#' @examples
#' lobelia
NULL

#' Emergence of butterflies data
#'
#' This data describes the emergence of butterflies from their pupae from four
#' different cohorts.
#'
#' @format A data frame with 64 rows and 3 variables:
#' \describe{
#'   \item{Day}{The day number}
#'   \item{Cohort}{The cohort number}
#'   \item{Emergence}{The number of butterflies to emerge}
#' }
#' @docType data
#' @name pupae
#' @usage pupae
#' @examples
#' pupae
NULL

#' Leafing phenology of tilia cordata
#'
#' This data describes the leafing phenology of lime trees (tilia cordata).
#'
#' @format A data frame with 34 rows and 2 variables:
#' \describe{
#'   \item{Day}{The day number}
#'   \item{Trees}{The number of trees}
#' }
#' @docType data
#' @name tilia
#' @usage tilia
#' @examples
#' tilia
NULL
